/* CSS for Total Carbon Website developed by Alonso Garcia @alonsogarciamx powered by Rotbit (www.rotbit.com) @rotbitmx */

/* Created 24 MAR 23 */

/* Last update 22 MAY 2023 */

/*
      1. FONTS
      2. NAVBAR - MENU
      3. GENERAL
      4. INDEX
      5. FOOTER
      NOSOTROS
      7. PRODUCTOS
      8. SERVICIOS
      9. CONTACTO
      AVISO
      OTROS

      Colors
      Primary   -   #cfff04 
      Secondary -   #cfff04
*/


/* ---- 1. FONTS ---- */
.poppins-font {
  font-family: "Poppins", sans-serif;
}

/* ---- 2. NAVBAR - MENU ---- */
.upper-navbar {
  background-color: #cfff04;
  padding-top: 10px;
}

.upper-navbar p {
  color: #000;
  line-height: 0;
  font-size: 12px;
  display: flex;
  justify-content:  space-between;
} 

.navbar-toggle .icon-bar:nth-of-type(3) {
  top: 1px;
}

.navbar-toggle .icon-bar:nth-of-type(4) {
  top: 2px;
}

.navbar-toggle .icon-bar {
      position: relative;
      transition: all 200ms ease-in-out;
}

.navbar-toggle.active .icon-bar:nth-of-type(2) {
      top: 6px;
      transform: rotate(45deg);
}

.navbar-toggle.active .icon-bar:nth-of-type(3) {
      background-color: transparent;
}

.navbar-toggle.active .icon-bar:nth-of-type(4) {
      top: -6px;
      transform: rotate(-45deg);
}

.navbar-inverse .navbar-nav > .active > a,
.navbar-inverse .navbar-nav > .active > a:hover,
.navbar-inverse .navbar-nav > .active > a:focus {
  color: #fff;
  background-color: rgba(0,0,0,0);
  text-decoration: underline;
  text-underline-offset: 4px;
  text-decoration-color: #cfff04;
}

.navbar-inverse .navbar-nav > li > a {
  color: #fff;  
} 

.navbar-inverse .navbar-nav > li > a:hover,
.navbar-inverse .navbar-nav > li > a:focus {
  color: #fff;
  background-color: transparent;
}

.navbar-inverse {
	background-color: black;
	border-color: #fff;
  border-bottom-color: #cfff04;
  border-bottom-width: 0px;
  letter-spacing: 1px;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
} 

.navbar-brand img {
  height: 42px;
  margin-top: 6px;
}

.whatsapp {
  position:fixed;
  width: 70px;
  height: 70px;
  bottom: 35px;
  right: 35px;
  background-color:#cfff04;
  color:#000;
  border-radius:35px;
  text-align:center;
  font-size:35px;
  z-index:100;
}

.whatsapp-icon {
  margin-top: 17px;
}

@media only screen and (max-width: 768px) {
  .upper-navbar p {
    justify-content: center;
  }
}

/* ---- 3. GENERAL ---- */
body {
  padding-top: 70px;
  padding-bottom: 0px;
}

section {
    padding-top:0px;
    padding-bottom:50px;
    overflow:auto;
}

p {
  font-family: 'Open Sans', sans-serif;
  color: #000;
  line-height: 2;
  font-size: 15px;
}

a {
  color: #000;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Poppins", sans-serif;
  letter-spacing: 1px;
  font-weight: 600;
}

h1 {
  font-size: 70px;
}

h2 {
  font-size: 32px;
}

h3 {
  font-size: 25px;
}

h4 {
  font-size: 20px;
}

h5 {
  font-size: 17px;
}

h6 {
  font-size: 15px;
}

.bg-green {
  background-color: #cfff04;
  color: #000;
}

.btn-green {
  background-color: #cfff04;
  color: #000;
  padding: 8px 10px;
  border-radius: 0px;
}

.btn-green:hover,
.btn-green:focus,
.btn-green:active {
  background-color: #000;
  color: #cfff04;
}

.highlight {
  background-color: #cfff04;
  color: #000;
  padding: 3px 3px;
}


/* ---- 4. INDEX ---- */
.portada {
  background: center no-repeat url("../img/cover.jpg");
  background-size: cover;
  height: 800px;
}

.portada-text {
  padding: 30px 0px;
  color: #fff;
  padding-top: 160px;
  text-shadow: 2px 3px 2px rgba(0, 0, 0, 0.2);
}

.highlight-black {
  color: #cfff04;
  font-style: italic;
  text-decoration: underline;
  font-weight: 700;
  text-underline-offset: 12px;
}

.servicios img {
  margin-top: 32px;
  height: 85px;
}

.galeria {
  background-image: url("data:image/svg+xml,<svg id='patternId' width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><defs><pattern id='a' patternUnits='userSpaceOnUse' width='29' height='50.115' patternTransform='scale(1) rotate(0)'><rect x='0' y='0' width='100%' height='100%' fill='hsla(0, 0%, 100%, 1)'/><path d='M14.498 16.858L0 8.488.002-8.257l14.5-8.374L29-8.26l-.002 16.745zm0 50.06L0 58.548l.002-16.745 14.5-8.373L29 41.8l-.002 16.744zM28.996 41.8l-14.498-8.37.002-16.744L29 8.312l14.498 8.37-.002 16.745zm-29 0l-14.498-8.37.002-16.744L0 8.312l14.498 8.37-.002 16.745z'  stroke-width='1' stroke='hsla(0, 0%, 0%, 0.03)' fill='none'/></pattern></defs><rect width='800%' height='800%' transform='translate(0,0)' fill='url(%23a)'/></svg>");
  padding-top: 50px;
  padding-bottom: 50px;
  color: #000;
}

.galeria a {
  margin-bottom: 15px;
}

.info-extra {
  background-image: url("data:image/svg+xml,<svg id='patternId' width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><defs><pattern id='a' patternUnits='userSpaceOnUse' width='20' height='20' patternTransform='scale(1) rotate(125)'><rect x='0' y='0' width='100%' height='100%' fill='hsla(0, 0%, 100%, 0)'/><path d='M0 10h20z'   stroke-width='0.7' stroke='hsla(100, 100%, 100%, 0.03)' fill='none'/></pattern></defs><rect width='800%' height='800%' transform='translate(0,0)' fill='url(%23a)'/></svg>");
  background-color: #000;
  padding-top: 30px;
  padding-bottom: 50px;
  color: #fff;
}

.info-extra p {
  color: #fff;
}

.wrapper {
  background: center no-repeat url("../img/wrapper-black.jpg");
  background-size: cover;
}

.wrapper .wrapper-text {
  padding: 30px 0px;
  color: #fff;
  text-shadow: 2px 3px 2px rgba(0, 0, 0, 0.4);
}

.wrapper input {
  height: 55px;
  box-shadow: 2px 3px 2px rgba(0, 0, 0, 0.4);
}

.wrapper .btn {
  box-shadow: 2px 3px 2px rgba(0, 0, 0, 0.4);
}


@media only screen and (max-width: 768px) {
  .portada h1 {
    font-size: 65px;
  }

  .portada-text {
    padding-top: 80px;
  }

  .servicios h6 {
    font-size: 12px;
  }

  .servicios p {
    font-size: 11px;
  }

  .info-extra-text {
    text-align: center;
  }

}
/* ---- 5. FOOTER ---- */
footer {
  color: #fff;
}

footer p {
  color: #fff;
} 

footer a {
    color: #fff;
}

.footer-above img {
  height: 100px;
}

footer .footer-above {
    padding-top: 50px;
    background-color: #000;
}

footer .footer-col {
    margin-bottom: 50px;
}

footer .footer-below {
    padding: 20px 0;
    background-color: #010101;
}

@media only screen and (max-width: 768px) {
  footer .footer-above {
    text-align: center;
  }
}




/* ---- 9. CONTACTO ---- */

.cotizar-banner {
  background: center no-repeat url("../img/cotizar-banner.jpg");
  background-size: cover;
  height: 200px;
}

.cotizar-text {
  color: #fff;
  padding-top: 80px;
}

.formulario {
  padding: 30px 0px;
}

.contacto {
  padding-top: 20px;
}

.contact-order {
  text-align: left;
}

.formulario > p > a {
  background-color: #e7eaf0;
}

#google-container {
  position: relative;
  width: 100%;
  height: 200px;
  background-color: #e7eaf0;
}

@media only screen and (min-width: 768px) {
  #google-container {
    height: 300px;
  }
}
@media only screen and (min-width: 1170px) {
  #google-container {
    height: 600px;
  }
}

#cd-google-map {
  position: relative;
}
#cd-google-map address {
  position: absolute;
  width: 100%;
  bottom: 0;
  left: 0;
  padding: 1em 1em;
  background-color: rgba(15, 33, 71, 0.9);
  color: white;
  font-size: 13px;
  font-size: 0.8125rem;
}
@media only screen and (min-width: 768px) {
  #cd-google-map address {
    font-size: 15px;
    font-size: 0.9375rem;
    text-align: center;
  }
}

#cd-zoom-in, #cd-zoom-out {
  height: 32px;
  width: 32px;
  cursor: pointer;
  margin-left: 10px;
  background-color: rgba(255, 102, 0, 0.9);
  background-repeat: no-repeat;
  background-size: 32px 64px;
  background-image: url("../img/google-maps/cd-icon-controller.svg");
}
.no-touch #cd-zoom-in:hover, .no-touch #cd-zoom-out:hover {
  background-color: #ff6600;
}
@media only screen and (min-width: 768px) {
  #cd-zoom-in, #cd-zoom-out {
    margin-left: 50px;
  }
}

#cd-zoom-in {
  background-position: 50% 0;
  margin-top: 10px;
  margin-bottom: 1px;
}
@media only screen and (min-width: 768px) {
  #cd-zoom-in {
    margin-top: 50px;
  }
}

#cd-zoom-out {
  background-position: 50% -32px;
}










